import React from "react";
import { getTaMember } from "@/services/taMember";
import List from "@/components/Page/List";
import moment from "moment";
import { useNavigate } from "react-router-dom";
export default (props) => {
  const navigate = useNavigate();

  const columns = [
    {
      title: "注册日期",
      dataIndex: "bizDate1",
      valueType: "dateRange",
      search: {
        transform: (value) => {
          return {
            startTime: value[0],
            endTime: value[1],
          };
        },
      },
      hideInTable: true,
    },
    {
      title: "会员名称",
      dataIndex: "memberName",
    },
    {
      title: "生日",
      dataIndex: "birthDay",
      render: (_, r) => {
        return r.birthDay ? moment(r.birthDay).format("YYYY-MM-DD") : "";
      },
      search: false,
    },
    {
      title: "手机号",
      dataIndex: "phone",
    },

    {
      title: "性别",
      dataIndex: "sex",
      search: false,
    },

    {
      title: "注册日期",
      dataIndex: "bizDate",
      render: (_, r) => {
        return moment(r.bizDate).format("YYYY-MM-DD");
      },
      search: false,
    },
    {
      title: "状态",
      dataIndex: "status",

    },
  ];
  return (
    <List
      // actionRef={actionRef}
      rowKey="memberId"
      onEdit={(record) => navigate(`/member/edit?id=${record.memberId}`)}
      // onDelete={(record) => handleDelete(record.memberId)}
      // toolBarRender={() => [
      //   <Button
      //     key="1"
      //     type="primary"
      //     onClick={() => {
      //       navigate("/member/edit");
      //     }}
      //   >
      //     新增
      //   </Button>,
      // ]}
      request={getTaMember}
      columns={columns}
    />
  );
};
