import React, { useEffect, useRef, useState } from 'react'
import { Form } from 'antd'
import { postTfFinance } from '@/services/tfFinance'
import {
  ModalForm,
  ProFormText,
  ProFormMoney,
} from '@ant-design/pro-components'

export default (props) => {
  const { open, onCancel } = props
  const [form] = Form.useForm()

  const onFinish = () => {}
  return (
    <ModalForm
      form={form}
      title="收付款维护"
      open={open}
      grid={true}
      labelCol={{ sm: 3 }}
      layout="horizontal"
      onFinish={onFinish}
      modalProps={{
        destroyOnClose: true,
        onCancel: onCancel,
      }}
    >
      <ProFormText name="ycItemName" label="收支名称" />
      <ProFormMoney name="money" label="收支金额" />
      <ProFormText name="itemType" label="明细类型" />
      <ProFormText name="ycType" label="收支类型" />
      <ProFormText name="fromOrg" label="来源机构" />
      <ProFormText name="toOrg" label="目的机构" />
    </ModalForm>
  )
}
