import React, { useEffect, useRef, useState } from 'react'
import { getTaProjectNode } from '@/services/taProjectNode'
import { Button, Card, Row, Col } from 'antd'
import { queryTable } from '@/utils/request'
import { ProTable } from '@ant-design/pro-components'
import moment from 'moment'

export default (props) => {
  const actionRef = useRef()
  const projectNodeList = queryTable(getTaProjectNode)

  const columns = [
    {
      title: '跟进状态',
      dataIndex: 'bizStatus',
      ellipsis: true,
    },
    {
      title: '备注',
      dataIndex: 'remark',
      search: false,
      ellipsis: true,
    },
    {
      title: '业务发生时间',
      dataIndex: 'bizDate',
      render: (t) => moment(t).format('YYYY-MM-DD'),
      search: false,
      ellipsis: true,
    },
  ]

  return (
    <Card
      title={<div style={{ fontWeight: 'bold' }}>跟进信息</div>}
      style={{ marginTop: '24px' }}
    >
      <ProTable
        options={false}
        actionRef={actionRef}
        rowKey="nodeId"
        request={projectNodeList}
        columns={columns}
      />
    </Card>
  )
}
